=== debian/changelog ===
libssw (1.0-2) unstable; urgency=medium

  * adjust list of architectures to only include SSE2 capable ones
    Closes: #828209

 -- Sascha Steinbiss <satta@debian.org>  Sun, 26 Jun 2016 16:46:41 +0000

libssw (1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #828042)

 -- Sascha Steinbiss <satta@debian.org>  Fri, 24 Jun 2016 13:45:35 +0000
