=== debian/control ===
Source: libssw
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <satta@debian.org>
Build-Depends: debhelper (>= 9),
               default-jdk-headless,
               javahelper,
               dh-autoreconf,
               help2man,
               zlib1g-dev
Standards-Version: 3.9.8
Testsuite: autopkgtest
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libssw.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/libssw.git
Homepage: https://github.com/mengyao/Complete-Striped-Smith-Waterman-Library

Package: libssw0
Architecture: any-amd64 any-x32
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         zlib1g
Pre-Depends: ${misc:Pre-Depends}
Description: fast SIMD parallelized implementation of the Smith-Waterman algorithm
 SSW is a fast implementation of the Smith-Waterman algorithm, which uses the
 Single-Instruction Multiple-Data (SIMD) instructions to parallelize the
 algorithm at the instruction level. SSW library provides an API that can be
 flexibly used by programs written in C, C++ and other languages. The library
 can do protein and genome alignment directly.
 Current version of this implementation is ~50 times faster than an ordinary
 Smith-Waterman. It can return the Smith-Waterman score, alignment location
 and traceback path (cigar) of the optimal alignment accurately; and return
 the sub-optimal alignment score and location heuristically.

Package: libssw-dev
Provides: libssw-dev
Architecture: any-amd64 any-x32
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libssw0 (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: Development headers and static libraries for libssw
 This package provides development headers and static libraries for libssw,
 a fast implementation of the Smith-Waterman algorithm using
 Single-Instruction Multiple-Data (SIMD) instructions to parallelize the
 algorithm at the instruction level.

Package: libssw-java
Architecture: any-amd64 any-x32
Section: java
Depends: ${java:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${java:Recommends}
Description: Java bindings for libssw
 This package provides JNI based Java bindings for libssw, a fast
 implementation of the Smith-Waterman algorithm using Single-Instruction
 Multiple-Data (SIMD) instructions to parallelize the algorithm at the
 instruction level.

Package: ssw-align
Architecture: any-amd64 any-x32
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libssw0 (= ${binary:Version})
Description: Smith-Waterman aligner based on libssw
 This package provides a command-line aligner based on the libssw library,
 a fast SIMD accelerated implementation of the Smith-Waterman algorithm.
 The input files can be in FASTA or FASTQ format. Both target and query files
 can contain multiple sequences. Each sequence in the query file will be
 aligned with all sequences in the target file. Output is provided in SAM or
 BLAST-like text format.
