=== debian/changelog ===
libssw (1.1-2) unstable; urgency=medium

  * Team upload.
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5
  * d/rules:
     - Respect DEB_BUILD_OPTIONS in override_dh_auto_test
     - Do not parse d/changelog

 -- Andreas Tille <tille@debian.org>  Mon, 16 Jul 2018 10:11:08 +0200

libssw (1.1-1) unstable; urgency=medium

  [ Sascha Steinbiss ]
  * New upstream release.
  * Change 'any-x32' to 'x32' -- there is only one x32 arch.
    Silences Lintian warning.

  [ Afif Elghraoui ]
  * Bump minimum required debhelper version

 -- Sascha Steinbiss <satta@debian.org>  Mon, 22 Aug 2016 18:06:10 +0000

libssw (1.0-3) unstable; urgency=medium

  * Team upload
  * Install maven-repo artifacts.
    - Build-depend on maven-repo-helper
    - Add debian/libssw-java-1.0.pom and debian/libssw-java.poms
    - Update debian/rules to build with jh_maven_repo_helper

 -- tony mancill <tmancill@debian.org>  Sun, 10 Jul 2016 21:07:21 -0700
