=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: libssw
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Sascha Steinbiss <satta@debian.org>
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Sascha Steinbiss <satta@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
                default-jdk-headless,
                javahelper,
-               dh-autoreconf,
                help2man,
-               zlib1g-dev
-Standards-Version: 3.9.8
-Testsuite: autopkgtest
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libssw.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/libssw.git
+               zlib1g-dev,
+               maven-repo-helper
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/med-team/libssw
+Vcs-Git: https://salsa.debian.org/med-team/libssw.git
 Homepage: https://github.com/mengyao/Complete-Striped-Smith-Waterman-Library
 
 Package: libssw0
-Architecture: any-amd64 any-x32
+Architecture: any-amd64 x32
 Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends},
@@ -35,14 +34,14 @@
  the sub-optimal alignment score and location heuristically.
 
 Package: libssw-dev
-Provides: libssw-dev
-Architecture: any-amd64 any-x32
+Architecture: any-amd64 x32
 Multi-Arch: same
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libssw0 (= ${binary:Version})
 Pre-Depends: ${misc:Pre-Depends}
+Provides: libssw-dev
 Description: Development headers and static libraries for libssw
  This package provides development headers and static libraries for libssw,
  a fast implementation of the Smith-Waterman algorithm using
@@ -50,7 +49,7 @@
  algorithm at the instruction level.
 
 Package: libssw-java
-Architecture: any-amd64 any-x32
+Architecture: any-amd64 x32
 Section: java
 Depends: ${java:Depends},
          ${shlibs:Depends},
@@ -63,7 +62,7 @@
  instruction level.
 
 Package: ssw-align
-Architecture: any-amd64 any-x32
+Architecture: any-amd64 x32
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libssw0 (= ${binary:Version})
