=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

include /usr/share/dpkg/default.mk

%:
	dh $@ --with javahelper --with jh_maven_repo_helper

override_dh_auto_clean:
	rm -f debian/libssw*install debian/libssw*links debian/ssw-align.1
	$(MAKE) -C src clean

override_dh_auto_build:
	$(MAKE) -C src default java

override_dh_auto_install: debian/libssw0.install debian/libssw-dev.install debian/libssw-dev.links debian/libssw-java.install debian/libssw-java.links
	mv src/ssw.jar src/ssw-$(DEB_VERSION_UPSTREAM).jar
	dh_auto_install

override_dh_installman:
	LD_LIBRARY_PATH=`pwd`/src help2man --version-string=' ' --help-option=' ' \
          -I debian/extra-man-info.txt \
          -N -n 'fast Smith-Waterman aligner' \
          --no-discard-stderr src/ssw-align \
            | fgrep -v ERROR > debian/ssw-align.1
	dh_installman

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	src/example_c
	src/example_cpp
endif

debian/%.install: debian/%.install.in
	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' $< > $@

debian/%.links: debian/%.links.in
	sed -e 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' \
            -e 's/@DEB_JAVA_PKG_VERSION@/$(DEB_VERSION_UPSTREAM)/g' $< > $@
