=== debian/watch ===
version=3
https://github.com/mengyao/Complete-Striped-Smith-Waterman-Library/tags .*/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
