=== debian/changelog ===
libssw (1.2.5-1) experimental; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version.
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Update symbols for gcc-13
    Closes: #1037742

  [ Michael R. Crusoe ]
  * Remove extra copy of SIMDe in debian/include/simde

 -- Andreas Tille <tille@debian.org>  Sat, 15 Jul 2023 12:56:57 +0200

libssw (1.2.4-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Set JAVA_HOME explicitly
  * Upstream API has changed thus bump SONAME
  * Add missing BSD-2-clause license

 -- Andreas Tille <tille@debian.org>  Thu, 26 May 2022 07:49:04 +0200

libssw (1.1-13) unstable; urgency=medium

  * Do not hardcode source/target version levels into javac call.
    Closes: #982045
  * Bump Standards-Version.
  * Use watchfile version 4.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 20 Feb 2021 21:21:08 +0100

libssw (1.1-12) unstable; urgency=medium

  * Mark one symbol as optional, disappearing on s390x with -O3
    optimization level (Closes: #980181)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 15 Jan 2021 19:29:58 +0100

libssw (1.1-11) unstable; urgency=medium

  * Team upload
  * Make sure library will be build before it is used for linking
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 13 Aug 2020 13:42:07 +0200

libssw (1.1-10) unstable; urgency=medium

  * Team upload

  [ Michael R. Crusoe ]
  * Improve crossbuilding
  * Add "nojava" build profile
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Andreas Tille ]
  * Drop symbol from symbols file that is not created by gcc-10
    Closes: #957481

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jul 2020 10:44:14 +0200

libssw (1.1-9) unstable; urgency=medium

  * debian/include/simde: sync with upstream 2020-02-15
    More big endian fixes: 35f048529bd7b0efa2ed3a83866ea2a1d35c25f2

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 16 Feb 2020 16:11:29 +0100

libssw (1.1-8) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debian/include/simde: sync with upstream 2020-02-14
    (59b6a740ef7c1955c49408c22976f21e1d1dd27c)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 15 Feb 2020 16:51:22 +0100

libssw (1.1-7) unstable; urgency=medium

  * debian/patches/malloc: Include definition for malloc & free
  * debian/include/simde: sync with upstream 2019-12-27
    (098d150385ba618f945f953bc4d5ae306fd22f2e)
  * debian/libssw0.symbols: start tracking the library symbols

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 26 Dec 2019 16:59:08 +0100

libssw (1.1-6) unstable; urgency=medium

  * Release to unstable.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 13 Dec 2019 13:24:05 +0100

libssw (1.1-6~0expsimde2) experimental; urgency=medium

  * Fix some simde c/c++ compat

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 13 Dec 2019 12:11:05 +0100

libssw (1.1-6~0expsimde1) experimental; urgency=medium

  * Include patch from upstream SIMDE for SH4

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 13 Dec 2019 08:12:10 +0100

libssw (1.1-6~0expsimde0) experimental; urgency=medium

  * Enable for all architectures using simde
  * Add myself as an uploader

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 11 Dec 2019 15:14:03 +0100

libssw (1.1-4) unstable; urgency=medium

  * Source upload to enable testing migration.
  * Switch to debhelper-compat.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 20 Nov 2019 11:06:19 +0100

libssw (1.1-3) unstable; urgency=medium

  * Enable building on ppc64el.
    Thanks to Frédéric Bonnard for the patch.
    Closes: #942517
  * Use debhelper 12.
  * Bump Stadards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 27 Oct 2019 22:51:54 +0100
