=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
 Source: libssw
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Sascha Steinbiss <satta@debian.org>
+Uploaders: Sascha Steinbiss <satta@debian.org>,
+           Michael R. Crusoe <crusoe@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
-               default-jdk-headless,
-               javahelper,
+Build-Depends: debhelper-compat (= 13),
+               default-jdk-headless <!nojava>,
+               javahelper <!nojava>,
                help2man,
                zlib1g-dev,
-               maven-repo-helper
-Standards-Version: 4.1.5
+               libsimde-dev,
+               maven-repo-helper <!nojava>
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/libssw
 Vcs-Git: https://salsa.debian.org/med-team/libssw.git
 Homepage: https://github.com/mengyao/Complete-Striped-Smith-Waterman-Library
+Rules-Requires-Root: no
 
-Package: libssw0
-Architecture: any-amd64 x32
+Package: libssw1
+Architecture: any
 Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends},
@@ -34,12 +37,11 @@
  the sub-optimal alignment score and location heuristically.
 
 Package: libssw-dev
-Architecture: any-amd64 x32
+Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         libssw0 (= ${binary:Version})
+Depends: ${misc:Depends},
+         libssw1 (= ${binary:Version})
 Pre-Depends: ${misc:Pre-Depends}
 Provides: libssw-dev
 Description: Development headers and static libraries for libssw
@@ -49,7 +51,8 @@
  algorithm at the instruction level.
 
 Package: libssw-java
-Architecture: any-amd64 x32
+Build-Profiles: <!nojava>
+Architecture: any
 Section: java
 Depends: ${java:Depends},
          ${shlibs:Depends},
@@ -62,10 +65,10 @@
  instruction level.
 
 Package: ssw-align
-Architecture: any-amd64 x32
+Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libssw0 (= ${binary:Version})
+         libssw1 (= ${binary:Version})
 Description: Smith-Waterman aligner based on libssw
  This package provides a command-line aligner based on the libssw library,
  a fast SIMD accelerated implementation of the Smith-Waterman algorithm.
