=== debian/rules ===
--- 
+++ 
@@ -2,22 +2,45 @@
 
 # DH_VERBOSE := 1
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+export DEB_CFLAGS_MAINT_APPEND += -DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3
+export DEB_CXXFLAGS_MAINT_APPEND += -DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3
+
+ifeq ($(DEB_BUILD_ARCH), ppc64el)
+export DEB_CFLAGS_MAINT_APPEND = -DNO_WARN_X86_INTRINSICS
+export DEB_CXXFLAGS_MAINT_APPEND = -DNO_WARN_X86_INTRINSICS
+endif
+
+export JAVA_HOME=/usr/lib/jvm/default-java
 
 include /usr/share/dpkg/default.mk
 
+ifneq ($(filter nojava,$(DEB_BUILD_PROFILES)),)
+%:
+	dh $@
+else
 %:
 	dh $@ --with javahelper --with jh_maven_repo_helper
+endif
 
 override_dh_auto_clean:
 	rm -f debian/libssw*install debian/libssw*links debian/ssw-align.1
-	$(MAKE) -C src clean
+	dh_auto_clean --sourcedirectory src
 
 override_dh_auto_build:
-	$(MAKE) -C src default java
+ifneq ($(filter nojava,$(DEB_BUILD_PROFILES)),)
+	dh_auto_build --sourcedirectory src -- default
+else
+	dh_auto_build --sourcedirectory src -- default java
+endif
 
-override_dh_auto_install: debian/libssw0.install debian/libssw-dev.install debian/libssw-dev.links debian/libssw-java.install debian/libssw-java.links
+ifneq ($(filter nojava,$(DEB_BUILD_PROFILES)),)
+override_dh_auto_install: debian/libssw1.install debian/libssw-dev.install debian/libssw-dev.links
+	dh_auto_install
+else
+override_dh_auto_install: debian/libssw1.install debian/libssw-dev.install debian/libssw-dev.links debian/libssw-java.install debian/libssw-java.links
 	mv src/ssw.jar src/ssw-$(DEB_VERSION_UPSTREAM).jar
 	dh_auto_install
+endif
 
 override_dh_installman:
 	LD_LIBRARY_PATH=`pwd`/src help2man --version-string=' ' --help-option=' ' \
@@ -29,8 +52,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	src/example_c
-	src/example_cpp
+	LD_PRELOAD="$$LD_PRELOAD $(CURDIR)/src/libssw.so" src/ssw-align -c demo/ref.fa demo/1k.fa
 endif
 
 debian/%.install: debian/%.install.in
