=== debian/tests/control ===
Tests: build-lib
Depends: libssw0, libssw-dev, build-essential, zlib1g-dev

Tests: build-lib-java
Depends: libssw-java, default-jdk-headless

Tests: run-example
Depends: ssw-align
Restrictions: allow-stderr
